From a874e4eb5d7c3e4f31453b492156b198c9471446 Mon Sep 17 00:00:00 2001
From: Vinicius Santos <vinicius.santos.lista@gmail.com>
Date: Tue, 24 Jul 2012 12:21:52 -0300
Subject: [PATCH 58/58] More information about the selected objetc.

---
 pgadmin/frm/frmMain.cpp                            |   11 ++++++++---
 pgadmin/include/frm/frmMain.h                      |    2 +-
 pgadmin/include/schema/pgAggregate.h               |    4 ++++
 pgadmin/include/schema/pgCatalogObject.h           |    4 ++++
 pgadmin/include/schema/pgCheck.h                   |    4 ++++
 pgadmin/include/schema/pgCollation.h               |    4 ++++
 pgadmin/include/schema/pgColumn.h                  |    4 ++++
 pgadmin/include/schema/pgConversion.h              |    4 ++++
 pgadmin/include/schema/pgDomain.h                  |    4 ++++
 pgadmin/include/schema/pgForeignKey.h              |    5 ++++-
 pgadmin/include/schema/pgFunction.h                |    4 ++++
 pgadmin/include/schema/pgIndex.h                   |    5 ++++-
 pgadmin/include/schema/pgOperator.h                |    4 ++++
 pgadmin/include/schema/pgOperatorClass.h           |    4 ++++
 pgadmin/include/schema/pgOperatorFamily.h          |    4 ++++
 pgadmin/include/schema/pgRule.h                    |    4 ++++
 pgadmin/include/schema/pgSequence.h                |    5 ++++-
 pgadmin/include/schema/pgTable.h                   |    4 ++++
 pgadmin/include/schema/pgTextSearchConfiguration.h |    4 ++++
 pgadmin/include/schema/pgTextSearchDictionary.h    |    4 ++++
 pgadmin/include/schema/pgTextSearchParser.h        |    5 ++++-
 pgadmin/include/schema/pgTextSearchTemplate.h      |    5 ++++-
 pgadmin/include/schema/pgTrigger.h                 |    4 ++++
 pgadmin/include/schema/pgType.h                    |    4 ++++
 pgadmin/schema/pgAggregate.cpp                     |    4 ++--
 pgadmin/schema/pgCatalogObject.cpp                 |    4 ++--
 pgadmin/schema/pgCheck.cpp                         |    4 ++--
 pgadmin/schema/pgCollation.cpp                     |    4 ++--
 pgadmin/schema/pgColumn.cpp                        |    4 ++--
 pgadmin/schema/pgConversion.cpp                    |    4 ++--
 pgadmin/schema/pgDomain.cpp                        |    4 ++--
 pgadmin/schema/pgForeignKey.cpp                    |    4 ++--
 pgadmin/schema/pgFunction.cpp                      |   12 ++++++------
 pgadmin/schema/pgIndex.cpp                         |    4 ++--
 pgadmin/schema/pgIndexConstraint.cpp               |   16 ++++++++--------
 pgadmin/schema/pgObject.cpp                        |   13 ++++++++++++-
 pgadmin/schema/pgOperator.cpp                      |    4 ++--
 pgadmin/schema/pgOperatorClass.cpp                 |    4 ++--
 pgadmin/schema/pgOperatorFamily.cpp                |    4 ++--
 pgadmin/schema/pgRule.cpp                          |    4 ++--
 pgadmin/schema/pgSequence.cpp                      |    4 ++--
 pgadmin/schema/pgTable.cpp                         |    4 ++--
 pgadmin/schema/pgTextSearchConfiguration.cpp       |    4 ++--
 pgadmin/schema/pgTextSearchDictionary.cpp          |    4 ++--
 pgadmin/schema/pgTextSearchParser.cpp              |    4 ++--
 pgadmin/schema/pgTextSearchTemplate.cpp            |    4 ++--
 pgadmin/schema/pgTrigger.cpp                       |    4 ++--
 pgadmin/schema/pgType.cpp                          |    4 ++--
 pgadmin/schema/pgView.cpp                          |    4 ++--
 49 files changed, 167 insertions(+), 68 deletions(-)

diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index de68212..64a1fdc 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -191,12 +191,12 @@ frmMain::frmMain(const wxString &title)
 	manager.AddPane(listViews, wxAuiPaneInfo().Name(wxT("listViews")).Caption(_("Info pane")).Center().CaptionVisible(false).CloseButton(false).MinSize(wxSize(200, 100)).BestSize(wxSize(400, 200)));
 	manager.AddPane(sqlPane, wxAuiPaneInfo().Name(wxT("sqlPane")).Caption(_("SQL pane")).Bottom().MinSize(wxSize(200, 100)).BestSize(wxSize(400, 200)));
 	manager.AddPane(toolBar, wxAuiPaneInfo().Name(wxT("toolBar")).Caption(_("Tool bar")).ToolbarPane().Top().LeftDockable(false).RightDockable(false));
-
+	
 	// Now load the layout
 	wxString perspective;
 	settings->Read(wxT("frmMain/Perspective-") + wxString(FRMMAIN_PERSPECTIVE_VER), &perspective, FRMMAIN_DEFAULT_PERSPECTIVE);
 	manager.LoadPerspective(perspective, true);
-
+	
 	// and reset the captions for the current language
 	manager.GetPane(wxT("objectBrowser")).Caption(_("Object browser"));
 	manager.GetPane(wxT("listViews")).Caption(_("Info pane"));
@@ -1278,7 +1278,7 @@ pgServer *frmMain::ConnectToServer(const wxString &servername, bool restore)
 	return 0;
 }
 
-void frmMain::StartMsg(const wxString &msg)
+void frmMain::StartMsg(const wxString &msg, const wxString &detailsConnection)
 {
 	if (msgLevel++)
 		return;
@@ -1294,6 +1294,11 @@ void frmMain::StartMsg(const wxString &msg)
 
 	statusBar->SetStatusText(timermsg, 1);
 	statusBar->SetStatusText(wxT(""), 2);
+	if (detailsConnection != wxEmptyString )
+		this->SetTitle(appearanceFactory->GetLongAppName() + wxT(" - ") + detailsConnection);
+	else
+		this->SetTitle(appearanceFactory->GetLongAppName());
+	
 }
 
 
diff --git a/pgadmin/include/frm/frmMain.h b/pgadmin/include/frm/frmMain.h
index 7043886..3ca20bb 100644
--- a/pgadmin/include/frm/frmMain.h
+++ b/pgadmin/include/frm/frmMain.h
@@ -93,7 +93,7 @@ public:
 	void OnReport(wxCommandEvent &ev);
 	wxString GetHelpPage() const;
 
-	void StartMsg(const wxString &msg);
+	void StartMsg(const wxString &msg, const wxString &detailsConnection = wxEmptyString);
 	void EndMsg(bool done = true);
 	void SetStatusText(const wxString &msg);
 	void SetCurrentObject(pgObject *data)
diff --git a/pgadmin/include/schema/pgAggregate.h b/pgadmin/include/schema/pgAggregate.h
index 78e252c..72c620c 100644
--- a/pgadmin/include/schema/pgAggregate.h
+++ b/pgadmin/include/schema/pgAggregate.h
@@ -123,6 +123,10 @@ public:
 	{
 		quotedSortOp = s;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxArrayString inputTypes;
diff --git a/pgadmin/include/schema/pgCatalogObject.h b/pgadmin/include/schema/pgCatalogObject.h
index ba50919..d7c4ebc 100644
--- a/pgadmin/include/schema/pgCatalogObject.h
+++ b/pgadmin/include/schema/pgCatalogObject.h
@@ -60,6 +60,10 @@ public:
 	{
 		return false;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 
diff --git a/pgadmin/include/schema/pgCheck.h b/pgadmin/include/schema/pgCheck.h
index 417f857..b22a0ed 100644
--- a/pgadmin/include/schema/pgCheck.h
+++ b/pgadmin/include/schema/pgCheck.h
@@ -118,6 +118,10 @@ public:
 		return true;
 	}
 	void Validate(frmMain *form);
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString definition, objectKind, objectName, objectSchema;
diff --git a/pgadmin/include/schema/pgCollation.h b/pgadmin/include/schema/pgCollation.h
index 1d6f4e7..1e48a83 100644
--- a/pgadmin/include/schema/pgCollation.h
+++ b/pgadmin/include/schema/pgCollation.h
@@ -73,6 +73,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString lccollate, lcctype;
diff --git a/pgadmin/include/schema/pgColumn.h b/pgadmin/include/schema/pgColumn.h
index f5bb972..60ed6cc 100644
--- a/pgadmin/include/schema/pgColumn.h
+++ b/pgadmin/include/schema/pgColumn.h
@@ -294,6 +294,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetTableName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString varTypename, quotedTypename, defaultVal, tableName, quotedFullTable, defaultStorage, storage, rawTypename;
diff --git a/pgadmin/include/schema/pgConversion.h b/pgadmin/include/schema/pgConversion.h
index ceb9d41..35e7275 100644
--- a/pgadmin/include/schema/pgConversion.h
+++ b/pgadmin/include/schema/pgConversion.h
@@ -97,6 +97,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString proc, procNamespace, forEncoding, toEncoding;
diff --git a/pgadmin/include/schema/pgDomain.h b/pgadmin/include/schema/pgDomain.h
index 3588df3..e9e60b5 100644
--- a/pgadmin/include/schema/pgDomain.h
+++ b/pgadmin/include/schema/pgDomain.h
@@ -199,6 +199,10 @@ public:
 		return true;
 	}
 	void Validate(frmMain *form);
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString basetype, quotedBasetype, defaultVal, delimiter, check, collation, quotedCollation, checkconstraintname;
diff --git a/pgadmin/include/schema/pgForeignKey.h b/pgadmin/include/schema/pgForeignKey.h
index e522b63..38dabc4 100644
--- a/pgadmin/include/schema/pgForeignKey.h
+++ b/pgadmin/include/schema/pgForeignKey.h
@@ -198,7 +198,10 @@ public:
 		return true;
 	}
 	void Validate(frmMain *form);
-
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 private:
 	wxString onUpdate, onDelete, conkey, confkey,
 	         fkTable, fkSchema, references, refSchema;
diff --git a/pgadmin/include/schema/pgFunction.h b/pgadmin/include/schema/pgFunction.h
index bf57bf4..0fe961d 100644
--- a/pgadmin/include/schema/pgFunction.h
+++ b/pgadmin/include/schema/pgFunction.h
@@ -246,6 +246,10 @@ public:
 	}
 
 	bool IsUpToDate();
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 protected:
 	pgFunction(pgSchema *newSchema, int newType, const wxString &newName = wxT(""));
diff --git a/pgadmin/include/schema/pgIndex.h b/pgadmin/include/schema/pgIndex.h
index 7024da3..87349d6 100644
--- a/pgadmin/include/schema/pgIndex.h
+++ b/pgadmin/include/schema/pgIndex.h
@@ -271,7 +271,10 @@ public:
 		return true;
 	}
 	bool HasPgstatindex();
-
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 protected:
 	void ReadColumnDetails();
 
diff --git a/pgadmin/include/schema/pgOperator.h b/pgadmin/include/schema/pgOperator.h
index affa9b6..dde9ac8 100644
--- a/pgadmin/include/schema/pgOperator.h
+++ b/pgadmin/include/schema/pgOperator.h
@@ -198,6 +198,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString leftType, rightType, resultType,
diff --git a/pgadmin/include/schema/pgOperatorClass.h b/pgadmin/include/schema/pgOperatorClass.h
index 7a95fa6..4f8deaf 100644
--- a/pgadmin/include/schema/pgOperatorClass.h
+++ b/pgadmin/include/schema/pgOperatorClass.h
@@ -121,6 +121,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString inType, keyType, accessMethod, opFamily ;
diff --git a/pgadmin/include/schema/pgOperatorFamily.h b/pgadmin/include/schema/pgOperatorFamily.h
index b5c08c9..f071bdb 100644
--- a/pgadmin/include/schema/pgOperatorFamily.h
+++ b/pgadmin/include/schema/pgOperatorFamily.h
@@ -76,6 +76,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString accessMethod;
diff --git a/pgadmin/include/schema/pgRule.h b/pgadmin/include/schema/pgRule.h
index 06973ac..14ad5c8 100644
--- a/pgadmin/include/schema/pgRule.h
+++ b/pgadmin/include/schema/pgRule.h
@@ -29,6 +29,10 @@ public:
 	{
 		definition = s;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 protected:
 	wxString definition;
diff --git a/pgadmin/include/schema/pgSequence.h b/pgadmin/include/schema/pgSequence.h
index 6776f51..f4bf485 100644
--- a/pgadmin/include/schema/pgSequence.h
+++ b/pgadmin/include/schema/pgSequence.h
@@ -96,7 +96,10 @@ public:
 	{
 		return true;
 	}
-
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 private:
 	wxLongLong lastValue, nextValue, minValue, maxValue, cacheValue, increment;
 	bool cycled, called, isReplicated;
diff --git a/pgadmin/include/schema/pgTable.h b/pgadmin/include/schema/pgTable.h
index 5c6f8e7..b0702e2 100644
--- a/pgadmin/include/schema/pgTable.h
+++ b/pgadmin/include/schema/pgTable.h
@@ -515,6 +515,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 	bool HasPgstattuple();
 
 	virtual wxMenu *GetNewMenu();
diff --git a/pgadmin/include/schema/pgTextSearchConfiguration.h b/pgadmin/include/schema/pgTextSearchConfiguration.h
index 3ea9e1d..03414d1 100644
--- a/pgadmin/include/schema/pgTextSearchConfiguration.h
+++ b/pgadmin/include/schema/pgTextSearchConfiguration.h
@@ -92,6 +92,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString parser, copy;
diff --git a/pgadmin/include/schema/pgTextSearchDictionary.h b/pgadmin/include/schema/pgTextSearchDictionary.h
index 1ed5d1d..3d1e753 100644
--- a/pgadmin/include/schema/pgTextSearchDictionary.h
+++ b/pgadmin/include/schema/pgTextSearchDictionary.h
@@ -76,6 +76,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString tmpl, options;
diff --git a/pgadmin/include/schema/pgTextSearchParser.h b/pgadmin/include/schema/pgTextSearchParser.h
index e9fdd84..ca44aa7 100644
--- a/pgadmin/include/schema/pgTextSearchParser.h
+++ b/pgadmin/include/schema/pgTextSearchParser.h
@@ -100,7 +100,10 @@ public:
 	{
 		return true;
 	}
-
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 private:
 	wxString start, gettoken, end, lextypes, headline;
 };
diff --git a/pgadmin/include/schema/pgTextSearchTemplate.h b/pgadmin/include/schema/pgTextSearchTemplate.h
index cd24af9..9c48eac 100644
--- a/pgadmin/include/schema/pgTextSearchTemplate.h
+++ b/pgadmin/include/schema/pgTextSearchTemplate.h
@@ -76,7 +76,10 @@ public:
 	{
 		return true;
 	}
-
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 private:
 	wxString init, lexize;
 };
diff --git a/pgadmin/include/schema/pgTrigger.h b/pgadmin/include/schema/pgTrigger.h
index 232d8b6..92ab50b 100644
--- a/pgadmin/include/schema/pgTrigger.h
+++ b/pgadmin/include/schema/pgTrigger.h
@@ -234,6 +234,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 	bool IsUpToDate();
 
diff --git a/pgadmin/include/schema/pgType.h b/pgadmin/include/schema/pgType.h
index 1975de2..c0e4ec3 100644
--- a/pgadmin/include/schema/pgType.h
+++ b/pgadmin/include/schema/pgType.h
@@ -323,6 +323,10 @@ public:
 	{
 		return true;
 	}
+	wxString GetCompleteName() const
+	{
+		return GetSchema()->GetName() + wxT(".") + GetName();
+	}
 
 private:
 	wxString alias, inputFunction, outputFunction, defaultVal, element, delimiter, alignment, storage,
diff --git a/pgadmin/schema/pgAggregate.cpp b/pgadmin/schema/pgAggregate.cpp
index d48a097..768ecf0 100644
--- a/pgadmin/schema/pgAggregate.cpp
+++ b/pgadmin/schema/pgAggregate.cpp
@@ -31,11 +31,11 @@ wxString pgAggregate::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on aggregate");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing aggregate");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop aggregate \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgCatalogObject.cpp b/pgadmin/schema/pgCatalogObject.cpp
index c8298b2..8431b96 100644
--- a/pgadmin/schema/pgCatalogObject.cpp
+++ b/pgadmin/schema/pgCatalogObject.cpp
@@ -32,11 +32,11 @@ wxString pgCatalogObject::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on catalog object");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing catalog object");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case PROPERTIESREPORT:
 			message = _("Catalog object properties report");
diff --git a/pgadmin/schema/pgCheck.cpp b/pgadmin/schema/pgCheck.cpp
index 183348e..6a09715 100644
--- a/pgadmin/schema/pgCheck.cpp
+++ b/pgadmin/schema/pgCheck.cpp
@@ -37,11 +37,11 @@ wxString pgCheck::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on check constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing check constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for check constraint");
diff --git a/pgadmin/schema/pgCollation.cpp b/pgadmin/schema/pgCollation.cpp
index 39767ce..08cbe09 100644
--- a/pgadmin/schema/pgCollation.cpp
+++ b/pgadmin/schema/pgCollation.cpp
@@ -44,11 +44,11 @@ wxString pgCollation::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on collation");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing collation");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop collation \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgColumn.cpp b/pgadmin/schema/pgColumn.cpp
index b00840e..396b256 100755
--- a/pgadmin/schema/pgColumn.cpp
+++ b/pgadmin/schema/pgColumn.cpp
@@ -41,11 +41,11 @@ wxString pgColumn::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on column");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing column");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for column");
diff --git a/pgadmin/schema/pgConversion.cpp b/pgadmin/schema/pgConversion.cpp
index 859f350..0d4b365 100644
--- a/pgadmin/schema/pgConversion.cpp
+++ b/pgadmin/schema/pgConversion.cpp
@@ -35,11 +35,11 @@ wxString pgConversion::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on conversion");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing conversion");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop conversion \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgDomain.cpp b/pgadmin/schema/pgDomain.cpp
index a3308bd..946f84b 100644
--- a/pgadmin/schema/pgDomain.cpp
+++ b/pgadmin/schema/pgDomain.cpp
@@ -49,11 +49,11 @@ wxString pgDomain::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on domain");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing domain");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop domain \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgForeignKey.cpp b/pgadmin/schema/pgForeignKey.cpp
index 72f0af8..713397f 100644
--- a/pgadmin/schema/pgForeignKey.cpp
+++ b/pgadmin/schema/pgForeignKey.cpp
@@ -37,11 +37,11 @@ wxString pgForeignKey::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on foreign key");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing foreign key");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for foreign key");
diff --git a/pgadmin/schema/pgFunction.cpp b/pgadmin/schema/pgFunction.cpp
index eb6bdef..0ff1e04 100644
--- a/pgadmin/schema/pgFunction.cpp
+++ b/pgadmin/schema/pgFunction.cpp
@@ -52,11 +52,11 @@ wxString pgFunction::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop function \"%s\" including all objects that depend on it?"),
@@ -113,11 +113,11 @@ wxString pgTriggerFunction::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on trigger function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing trigger function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop trigger function \"%s\" including all objects that depend on it?"),
@@ -174,11 +174,11 @@ wxString pgProcedure::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on procedure");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing procedure");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop procedure \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgIndex.cpp b/pgadmin/schema/pgIndex.cpp
index 206bc51..ef316ce 100644
--- a/pgadmin/schema/pgIndex.cpp
+++ b/pgadmin/schema/pgIndex.cpp
@@ -36,11 +36,11 @@ wxString pgIndexBase::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on index");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing index");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for index");
diff --git a/pgadmin/schema/pgIndexConstraint.cpp b/pgadmin/schema/pgIndexConstraint.cpp
index 331c442..4875e37 100644
--- a/pgadmin/schema/pgIndexConstraint.cpp
+++ b/pgadmin/schema/pgIndexConstraint.cpp
@@ -28,11 +28,11 @@ wxString pgIndexConstraint::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on index constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing index constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for index constraint");
@@ -206,11 +206,11 @@ wxString pgPrimaryKey::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on primary key");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing primary key");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for primary key");
@@ -289,11 +289,11 @@ wxString pgUnique::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on unique constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing unique constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for unique constraint");
@@ -372,11 +372,11 @@ wxString pgExclude::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on exclusion constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing exclusion constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for exclusion constraint");
diff --git a/pgadmin/schema/pgObject.cpp b/pgadmin/schema/pgObject.cpp
index e222f50..8c28f9e 100644
--- a/pgadmin/schema/pgObject.cpp
+++ b/pgadmin/schema/pgObject.cpp
@@ -743,7 +743,18 @@ void pgObject::ShowTree(frmMain *form, ctlTree *browser, ctlListView *properties
 
 	if (form)
 	{
-		form->StartMsg(GetTranslatedMessage(RETRIEVINGDETAILS));
+		if (conn 
+			&& this->GetTypeName() != wxT("Server")
+			&& this->GetTypeName() != wxT("Databases")
+			&& this->GetTypeName() != wxT("Group Roles")
+			&& this->GetTypeName() != wxT("Group Role")
+			&& this->GetTypeName() != wxT("Tablespaces")
+			&& this->GetTypeName() != wxT("Tablespace")
+			&& this->GetTypeName() != wxT("Login Roles")
+			&& this->GetTypeName() != wxT("Login Role")) 
+			form->StartMsg(GetTranslatedMessage(RETRIEVINGDETAILS), conn->GetUser() + wxT("@") + conn->GetDbname() + wxT(" (") + this->GetServer()->GetDescription() + wxT(")"));
+		else
+			form->StartMsg(GetTranslatedMessage(RETRIEVINGDETAILS));
 
 		SetContextInfo(form);
 
diff --git a/pgadmin/schema/pgOperator.cpp b/pgadmin/schema/pgOperator.cpp
index eeef02f..d91af3d 100644
--- a/pgadmin/schema/pgOperator.cpp
+++ b/pgadmin/schema/pgOperator.cpp
@@ -35,11 +35,11 @@ wxString pgOperator::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on operator");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing operator");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop operator \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgOperatorClass.cpp b/pgadmin/schema/pgOperatorClass.cpp
index b98a1ea..b78f639 100644
--- a/pgadmin/schema/pgOperatorClass.cpp
+++ b/pgadmin/schema/pgOperatorClass.cpp
@@ -36,11 +36,11 @@ wxString pgOperatorClass::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on operator class");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing operator class");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop operator class \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgOperatorFamily.cpp b/pgadmin/schema/pgOperatorFamily.cpp
index 092bd14..47687fe 100644
--- a/pgadmin/schema/pgOperatorFamily.cpp
+++ b/pgadmin/schema/pgOperatorFamily.cpp
@@ -36,11 +36,11 @@ wxString pgOperatorFamily::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on operator family");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing operator family");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop operator family \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgRule.cpp b/pgadmin/schema/pgRule.cpp
index 5c58fa2..6d88414 100644
--- a/pgadmin/schema/pgRule.cpp
+++ b/pgadmin/schema/pgRule.cpp
@@ -36,11 +36,11 @@ wxString pgRule::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on rule");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing rule");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for rule");
diff --git a/pgadmin/schema/pgSequence.cpp b/pgadmin/schema/pgSequence.cpp
index 33c0aaf..125dfc3 100644
--- a/pgadmin/schema/pgSequence.cpp
+++ b/pgadmin/schema/pgSequence.cpp
@@ -36,11 +36,11 @@ wxString pgSequence::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on sequence");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing sequence");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop sequence \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTable.cpp b/pgadmin/schema/pgTable.cpp
index 779d9b0..54d5424 100644
--- a/pgadmin/schema/pgTable.cpp
+++ b/pgadmin/schema/pgTable.cpp
@@ -62,11 +62,11 @@ wxString pgTable::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on table");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing table");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop table \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTextSearchConfiguration.cpp b/pgadmin/schema/pgTextSearchConfiguration.cpp
index 7cb68f7..df9506d 100644
--- a/pgadmin/schema/pgTextSearchConfiguration.cpp
+++ b/pgadmin/schema/pgTextSearchConfiguration.cpp
@@ -35,11 +35,11 @@ wxString pgTextSearchConfiguration::GetTranslatedMessage(int kindOfMessage) cons
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on FTS configuration");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing FTS configuration");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop FTS configuration \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTextSearchDictionary.cpp b/pgadmin/schema/pgTextSearchDictionary.cpp
index f298890..cf50cac 100644
--- a/pgadmin/schema/pgTextSearchDictionary.cpp
+++ b/pgadmin/schema/pgTextSearchDictionary.cpp
@@ -35,11 +35,11 @@ wxString pgTextSearchDictionary::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on FTS dictionary");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing FTS dictionary");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop FTS dictionary \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTextSearchParser.cpp b/pgadmin/schema/pgTextSearchParser.cpp
index 93a471e..1c81aef 100644
--- a/pgadmin/schema/pgTextSearchParser.cpp
+++ b/pgadmin/schema/pgTextSearchParser.cpp
@@ -35,11 +35,11 @@ wxString pgTextSearchParser::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on FTS parser");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing FTS parser");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop FTS parser \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTextSearchTemplate.cpp b/pgadmin/schema/pgTextSearchTemplate.cpp
index 05f4a91..690d2c7 100644
--- a/pgadmin/schema/pgTextSearchTemplate.cpp
+++ b/pgadmin/schema/pgTextSearchTemplate.cpp
@@ -35,11 +35,11 @@ wxString pgTextSearchTemplate::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on FTS template");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing FTS template");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop FTS template \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTrigger.cpp b/pgadmin/schema/pgTrigger.cpp
index 9098777..110a1b9 100644
--- a/pgadmin/schema/pgTrigger.cpp
+++ b/pgadmin/schema/pgTrigger.cpp
@@ -47,11 +47,11 @@ wxString pgTrigger::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on trigger");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing trigger");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for trigger");
diff --git a/pgadmin/schema/pgType.cpp b/pgadmin/schema/pgType.cpp
index 6faee87..513477f 100644
--- a/pgadmin/schema/pgType.cpp
+++ b/pgadmin/schema/pgType.cpp
@@ -36,11 +36,11 @@ wxString pgType::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on type");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing type");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop type \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgView.cpp b/pgadmin/schema/pgView.cpp
index 22a86a0..d5ede20 100644
--- a/pgadmin/schema/pgView.cpp
+++ b/pgadmin/schema/pgView.cpp
@@ -41,11 +41,11 @@ wxString pgView::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on view");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing view");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetCompleteName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop view \"%s\" including all objects that depend on it?"),
-- 
1.7.4.msysgit.0
